add :required => true on host fields that have conditional validation if host.managed?
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1783

  

Description

The New Host defaults to a Managed Host, so the UI should display the following fields as required, since there is no option in the UI

to create an unmanaged host.

architecture_id

operatingsystem_id

domain_id

mac - when a computer resource is selected, this field is hidden anyway

Related issues:

Related to Foreman - Bug #7450: We mark not-required fields as required Closed 09/16/2014

Related to Foreman - Bug #7750: Foreman - Failed to "Submit" while building a... Closed 09/30/2014

Associated revisions

Revision 571614ae - 09/29/2014 07:22 AM - Joseph Magen

fixes #7560 - add :required => true on host fields that have conditional validation if host.managed?

History

#1 - 09/21/2014 08:11 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1783 added

- Pull request deleted ()

#2 - 09/22/2014 04:20 AM - Dominic Cleal

- Related to Bug #7450: We mark not-required fields as required added

#3 - 09/29/2014 07:24 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21

#4 - 09/29/2014 07:24 AM - Daniel Lobato Garcia

In the end some more fields were added, 

Operating System

        Provisioning Method

        Media

        Partition table

        Root password

#5 - 09/29/2014 08:03 AM - Joseph Magen

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 571614aec259046da6c19843518ba8e78e7f2f94.

#6 - 09/30/2014 07:05 AM - Dominic Cleal

- Related to Bug #7750: Foreman - Failed to "Submit" while building a new VM added
